[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Compiling 2.0.38 kernel

On Mon, Jan 08, 2001 at 05:22:22PM +0100, Petr Cech wrote:
> On Mon, Jan 08, 2001 at 11:08:22AM -0500 , Chris L. Mason wrote:
> > Anyway, this might help others who need to compile old kernels, and
> > hopefully the problem will be fixed by gcc 2.95.3 final.
> 2.0.38 will probably not compile with gcc > very well. You might
> want to try gcc272

Right, good point.  In fact I did use gcc272 for the actual compile.  But
neither gcc272 or gcc 2.95.3 compiled mkdep.c properly.  Hmm, I wonder if
bugfixes for gcc272 are still coming?  If not, I'm not sure what the
solution would be to allow standard Debian systems to compile older

However, if the latest gcc can compile mkdep.c properly, then gcc272 could
be used for everything else.  At least it wouldn't be necessary to copy
files from other kernel releases.  Maybe this could be added to a README or


Reply to: